%global _empty_manifest_terminate_build 0
Name:		python-confget
Version:	5.1.2
Release:	1
Summary:	Parse configuration files and extract values from them
License:	BSD
URL:		https://devel.ringlet.net/textproc/confget/
Source0:	https://files.pythonhosted.org/packages/86/bb/8dec1dfa1d6788536ae160d9674a291b4aaf4ef8655ebce3cf13b4bfb7ee/confget-%{version}.tar.gz
BuildArch:	noarch

%description
confget parse configuration files The confget library parses configuration files
(currently INI-style files and CGI QUERY_STRING environment variable) and allows
a program to use the values defined in them. It provides various options for
selecting the variable names and values to return and the configuration file
sections to fetch them from.The confget library may also be used as a command-
line tool with the same interface as the C implementation.The confget library is
fully typed.Specifying configuration values for the backends The confget.

%package -n python3-confget
Summary:	Parse configuration files and extract values from them
Provides:	python-confget = %{version}-%{release}
# Base build requires
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
# General requires
BuildRequires:	python3-six
BuildRequires:	python3-configparser
BuildRequires:	python3-pytest
BuildRequires:	python3-ddt
# General requires
Requires:	python3-pyparsing
%description -n python3-confget
confget parse configuration files The confget library parses configuration files
(currently INI-style files and CGI QUERY_STRING environment variable) and allows
a program to use the values defined in them. It provides various options for
selecting the variable names and values to return and the configuration file
sections to fetch them from.The confget library may also be used as a command-
line tool with the same interface as the C implementation.The confget library is
fully typed.Specifying configuration values for the backends The confget.

%package help
Summary:	Development documents and examples for confget
Provides:	python3-confget-doc
%description help
confget parse configuration files The confget library parses configuration files
(currently INI-style files and CGI QUERY_STRING environment variable) and allows
a program to use the values defined in them. It provides various options for
selecting the variable names and values to return and the configuration file
sections to fetch them from.The confget library may also be used as a command-
line tool with the same interface as the C implementation.The confget library is
fully typed.Specifying configuration values for the backends The confget.

%prep
%autosetup -n confget-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-confget -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Mar 25 2024 wangqiang <wangqiang1@kylinos.cn> - 5.1.2-1
- Update package to version 5.1.2

* Wed Jul 19 2023 Dongxing Wang <dxwangk@isoftstone.com> - 5.1.1-1
- Update package to version 5.1.1

* Mon Dec 19 2022 wangjunqi <wangjunqi@kylinos.cn> - 5.0.1-1
- Update package to version 5.0.1

* Thu Nov 24 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 4.1.1-1
- Update package to version 4.1.1

* Fri May 27 2022 OpenStack_SIG <openstack@openeuler.org> - 4.1.0-1
- Upgrade package python3-confget to version 4.1.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.3.4-3
- DESC: delete -S git from %autosetup

* Mon Jul 26 2021 liusheng<liusheng2048@huawei.com>  - 2.3.4-2
- Fix check stage when building package

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 2.3.4-1
- Package Spec generate
